package com.kxs.store.biz.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 机具回收状态字段
 *
 * @author 没秃顶的码农
 * @date 2024-01-09
 */
@Getter
@RequiredArgsConstructor
public enum RecycleOrderEnum {

    /**
     * 主订单状态
     */
    RE_UNSEND(0, "待发货"),
    RE_UNCONFIRM(1, "待确认"),
    RE_OVER(2, "已完成"),
    /**
     * 机具状态
     */
    INFO_UNCONFIRM(0, "未确认"),
    INFO_CONFIRM(1, "已确认"),
    INFO_CANCEL(2, "已驳回"),
    INFO_RETURN(3, "已取消");

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
